Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.concurrent.atomic
Class AtomicReference<V>

    java.lang.Object
      java.util.concurrent.atomic.AtomicReference<V>

Type Parameters:
  `V` - The type of object referred to by this reference

All Implemented Interfaces:
  Serializable

    public class AtomicReference<V>

extends Object
implements Serializable

An object reference that may be updated atomically. See the `java.util.concurrent.atomic` package specification for description of the properties of atomic variables.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`AtomicReference()` Create a new AtomicReference with null initial value.
`AtomicReference(V initialValue)` Create a new AtomicReference with the given initial value.

Method Summary
`boolean` | `compareAndSet(V expect, V update)` Atomically set the value to the given updated value if the current value `==` the expected value.
`V` | `get()` Get the current value.
`V` | `getAndSet(V newValue)` Set to the given value and return the old value.
`void` | `set(V newValue)` Set to the given value.
`String` | `toString()` Returns the String representation of the current value.
`boolean` | `weakCompareAndSet(V expect, V update)` Atomically set the value to the given updated value if the current value `==` the expected value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomicReference

    public AtomicReference(V initialValue)

  Create a new AtomicReference with the given initial value.

  Parameters:
    `initialValue` - the initial value

### AtomicReference

    public AtomicReference()

  Create a new AtomicReference with null initial value.

Method Detail

### get

    public final V get()

  Get the current value.

  Returns:
    the current value

### set

    public final void set(V newValue)

  Set to the given value.

  Parameters:
    `newValue` - the new value

### compareAndSet

    public final boolean compareAndSet(V expect,
                                       V update)

  Atomically set the value to the given updated value if the current value `==` the expected value.

  Parameters:
    `expect` - the expected value
    `update` - the new value
  Returns:
    true if successful. False return indicates that the actual value was not equal to the expected value.

### weakCompareAndSet

    public final boolean weakCompareAndSet(V expect,
                                           V update)

  Atomically set the value to the given updated value if the current value `==` the expected value. May fail spuriously.

  Parameters:
    `expect` - the expected value
    `update` - the new value
  Returns:
    true if successful.

### getAndSet

    public final V getAndSet(V newValue)

  Set to the given value and return the old value.

  Parameters:
    `newValue` - the new value
  Returns:
    the previous value

### toString

    public String toString()

  Returns the String representation of the current value.

  Overrides:
    `toString` in class `Object`
  Returns:
    the String representation of the current value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.